;InnoSetupVersion=4.0.5

[Setup]
AppName=@icon sushi
AppVerName=@icon sushi 1.14
AppId=@icon sushi
AppPublisher=towofu's SOFT
AppPublisherURL=http://towofu.s5.xrea.com/soft/e-index.html
AppSupportURL=http://towofu.s5.xrea.com/soft/e-index.html
AppUpdatesURL=http://towofu.s5.xrea.com/soft/e-index.html
DefaultDirName={pf}\aicon
DefaultGroupName=@icon sushi
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\aicon.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Languages\Default.lng"; DestDir: "{app}\Languages"; Flags: ignoreversion 
Source: "{app}\Languages\English.lng"; DestDir: "{app}\Languages"; Flags: ignoreversion 
Source: "{app}\Languages\{.lng"; DestDir: "{app}\Languages"; Flags: ignoreversion 
Source: "{app}\readme_language.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\brushes"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme_e.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme_j.txt"; DestDir: "{app}"; Flags: ignoreversion 

[INI]
FileName: "{app}\aicon.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://towofu.s5.xrea.com/soft/e-index.html"; 

[Run]
Filename: "{app}\aicon.exe"; Description: "Launch @icon sushi now"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\@icon sushi"; Filename: "{app}\aicon.exe"; 
Name: "{group}\website"; Filename: "{app}\aicon.url"; 
Name: "{group}\Uninstall @icon sushi"; Filename: "{uninstallexe}"; 
Name: "{group}\Readme"; Filename: "{app}\readme_e.txt"; 
Name: "{userdesktop}\@icon sushi"; Filename: "{app}\aicon.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\@icon sushi"; Filename: "{app}\aicon.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a Quick Launch icon"; GroupDescription: "Additional icons"; 

[UninstallDelete]
Type: files; Name: "{app}\aicon.ini"; 
Type: files; Name: "{app}\aicon.url"; 
Type: dirifempty; Name: "{app}"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
